Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.naming
Interface Accessor<V>

All Known Implementing Classes:
  HierarchicalCatalog.DefaultAccessor, Instance.Accessor, Namespace.Accessor

    public interface Accessor<V>

This interface abstracts away the details of accessing a hierarchical catalog, and the objects stored in that catalog.

Version:
  $Revision: 1.4 $
Author:
  Greg Gibeling

Method Summary
`HierarchicalCatalog<V>` | `getCatalog(java.lang.Object obj)` Return the correct hierarchical catalog from the given object.
`Identifier<V>` | `getIdentifier(java.lang.Object obj)` Get the identifier which names `obj` in the current hierarchy.
`java.lang.String` | `getName(java.lang.Object obj)` Get a string name of the given object.

Method Detail

### getCatalog

    HierarchicalCatalog<V> getCatalog(java.lang.Object obj)

  Return the correct hierarchical catalog from the given object. This will usually be implemented with a `instanceof` test and a cast. It might also involve an accessor call.

  Parameters:
    `obj` - The object to extract the hierarchical catalog from.
  Returns:
    The appropriate hierarchical catalog from the object.

### getIdentifier

    Identifier<V> getIdentifier(java.lang.Object obj)

  Get the identifier which names `obj` in the current hierarchy.

  Parameters:
    `obj` - The object we wish to name.
  Returns:
    The appropriate identifier for the given object.

### getName

    java.lang.String getName(java.lang.Object obj)

  Get a string name of the given object. This should be the name to which the object is bound in it's parent catalog.

  Parameters:
    `obj` - The object whose name we are interested in.
  Returns:
    The string name of `obj`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD